# Nextcloud

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/nextcloud/status.svg)](https://drone.autonomic.zone/compose-stacks/nextcloud)

Fully automated luxury Nextcloud via docker-swarm. 

<!-- metadata -->
* **Category**: Apps
* **Status**: ❷💛
* **Image**: [`nextcloud`](https://hub.docker.com/_/nextcloud), ❶💚, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: ❶💚
* **Tests**: ❷💛
* **SSO**: ❸🍎 (OAuth)
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`compose-stacks/traefik`]
3. `abra app new nextcloud --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`

## Running `occ`

`abra app YOURAPPDOMAIN occ user:list`

[nextcloud-docker]: https://hub.docker.com/_/nextcloud/
[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
